<!DOCTYPE html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org">
<head>
    <!--CSS -->

    <!--/*/ <th:block th:include="fragments/layout :: head">
        </th:block> /*/-->

    <!--SCRIPTS-->
</head>
<body>

<div id="wrapper">

    <div th:replace="fragments/layout :: header('Nový produkt',@{/}, '')"></div>


    <main id="main" class="container mt-2">

        <div class="flex-grow-1 p-2">

            <!--ALERTS-->
            <div th:replace="fragments/layout :: alerts"></div>

            <form id="product-form" class="needs-validation" method="post"
                  th:action="@{/admin/product/add}" th:object="${product}" th:fragment="productEdit(product, isNew)"
                  novalidate>

                <input hidden th:field="*{id}">

                <div class="row no-gutters">
                    <div class="col-md-6 pr-md-1">
                        <!--GENERAL INFO-->
                        <div class="card mb-2">
                            <div class="card-header py-2">
                                Základní údaje
                            </div>
                            <div class="card-body py-3">
                                <!--NAME-->
                                <div class="form-group row no-gutters">
                                    <label for="name"
                                           class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Název:</label>
                                    <div class="col-8 col-sm-9 col-md-8 col-lg-9">
                                        <input type="text" class="form-control" id="name" th:field="*{name}"
                                               th:classappend="${#fields.hasErrors('name')} ? 'is-invalid'"
                                               tabindex="1" required>
                                        <span class="invalid-feedback">název je povinný</span>
                                    </div>
                                </div>

                                <!--PRICE-->
                                <div class="form-group row no-gutters">
                                    <label for="price"
                                           class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Cena:</label>
                                    <div class="input-group col-8 col-sm-9 col-md-8 col-lg-9">
                                        <input type="number" class="form-control" id="price" th:field="*{price}"
                                               tabindex="2" required>
                                        <div class="input-group-append">
                                            <span class="input-group-text">Kč</span>
                                        </div>
                                    </div>
                                </div>

                                <!--BAIL-->
                                <div class="form-group row no-gutters">
                                    <label for="bail"
                                           class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Kauce:</label>
                                    <div class="input-group col-8 col-sm-9 col-md-8 col-lg-9">
                                        <input type="number" class="form-control" id="bail" th:field="*{bail}"
                                               tabindex="3">
                                        <div class="input-group-append">
                                            <span class="input-group-text">Kč</span>
                                        </div>
                                    </div>
                                </div>

                                <!--LOST PRICE-->
                                <div class="form-group row no-gutters">
                                    <label for="lostPrice"
                                           class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Cena za
                                        ztrátu:</label>
                                    <div class="input-group col-8 col-sm-9 col-md-8 col-lg-9">
                                        <input type="number" class="form-control my-auto" id="lostPrice"
                                               th:field="*{lostPrice}"
                                               tabindex="3">
                                        <div class="input-group-append my-auto">
                                            <span class="input-group-text">Kč</span>
                                        </div>
                                    </div>
                                </div>

                                <!--CATEGORY-->
                                <div class="form-group row no-gutters">
                                    <label for="name"
                                           class="col-4 col-sm-3 col-md-4 col-lg-3 col-form-label">Kategorie:</label>
                                    <div class="col-8 col-sm-9 col-md-8 col-lg-9">
                                        <select class="form-control" th:field="*{category}" tabindex="4" required>
                                            <option th:each="cat : ${T(cz.david.minirental.model.enums.ProductCategory).values()}"
                                                    th:value="${cat}"
                                                    th:text="${cat.getHeading()}">
                                            </option>
                                        </select>
                                    </div>
                                </div>

                                <!--60% pod 4h-->
                                <label class="control control--checkbox my-1">
                                    60% ceny pod 4h
                                    <input type="checkbox" tabindex="5" th:field="*{shortDiscount}"/>
                                    <div class="control__indicator"></div>
                                </label>

                            </div>
                        </div>

                    </div>
                    <div class="col-md-6 pl-md-1">

                        <!--ACCESSORIES-->
                        <div class="card mb-2" id="accessories" th:fragment="accesories">
                            <div class="card-header py-2">
                                Příslušenství
                            </div>
                            <div class="card-body py-3 clearfix">

                                <!--ACCESSORY-->
                                <div class="form-group row no-gutters"
                                     th:each="accessory, iStat : ${product.accessories}">
                                    <p class="col-2 col-form-label"
                                       th:text="${iStat.index + 1} + '.'">1.</p>
                                    <div class="input-group col-10">
                                        <input type="hidden"
                                               th:field="${product.accessories[__${iStat.index}__].id}">
                                        <input type="text" class="form-control" th:tabindex="${iStat.index + 5}"
                                               th:field="${product.accessories[__${iStat.index}__].name}">
                                        <div class="input-group-append">
                                            <div class="input-group-text bg-light">
                                                <label class="control control--checkbox mb-0 pl-3">&nbsp;
                                                    <input type="checkbox" tabindex="-1"
                                                           th:field="${product.accessories[__${iStat.index}__].offer}"/>
                                                    <div class="control__indicator"></div>
                                                </label>
                                                <!--<input type="checkbox"
                                                       th:field="${product.accessories[__${iStat.index}__].offer}">-->
                                            </div>
                                        </div>
                                        <div class="input-group-append">
                                            <button class="btn btn-secondary" type="button" name="removeAccessory"
                                                    th:value="${iStat.index}" tabindex="-1">
                                                <i class="fas fa-trash"></i>
                                            </button>
                                        </div>
                                    </div>
                                </div>

                                <button type="button" class="btn btn-sm btn-success float-right" tabindex="100"
                                        name="addAccessory">
                                    Přidat příslušenství
                                </button>

                            </div>

                            <script>
                                function replaceItems(html) {
                                    $('#accessories').replaceWith($(html));
                                }

                                $('button[name="addAccessory"]').click(function (event) {
                                    event.preventDefault();
                                    var data = $("#accessories").find("input").serialize();
                                    $.post('/admin/accessory/add', data, replaceItems);
                                });

                                $('button[name="removeAccessory"]').click(function (event) {
                                    event.preventDefault();
                                    var data = $("#accessories").find("input").serialize();
                                    data += '&index=' + $(this).val();
                                    $.post('/admin/accessory/remove', data, replaceItems);
                                });
                            </script>
                        </div>

                    </div>
                </div>

                <div th:if="${isNew == null || isNew}" class="d-flex flex-wrap pt-2">
                    <input id="hiddenType" name="btn" value="redirect" hidden="hidden">
                    <button type="submit" id="submitBtnNext" onclick="return changeSubmitType(2);"
                            class="w-100 w-sm-auto btn btn-outline-success m-1 ml-sm-auto" tabindex="101">
                        Uložit a přidat další
                    </button>
                    <button type="submit" id="submitBtnSave" onclick="return changeSubmitType(1);"
                            class="w-100 w-sm-auto btn btn-orange m-1 px-5" tabindex="102">
                        Uložit
                    </button>

                    <script>
                        function changeSubmitType(type) {
                            if (type === 2)
                                document.getElementById('hiddenType').value = 'next';
                            else
                                document.getElementById('hiddenType').value = 'save';

                            return true;
                        }
                    </script>
                </div>

                <div th:if="${isNew != null && !isNew}" class="d-flex flex-wrap">
                    <button type="submit" id="submitBtnSave" tabindex="103"
                            class="w-100 w-sm-auto btn btn-orange ml-auto px-5">
                        Uložit
                    </button>
                </div>
            </form>

        </div>
    </main>
</div>

<!--FOOTER-->
<div th:replace="fragments/layout :: footer"></div>

</body>
</html>